using InfluxDB.Client;

namespace Managing.Infrastructure.Databases.InfluxDb.Abstractions;

public interface IInfluxDbRepository
{
    string Organization { get; }

    Task<T> QueryAsync<T>(Func<QueryApi, Task<T>> action);
    void Write(Action<WriteApi> action);
    Task WriteAsync(Func<WriteApi, Task> action);
}